## org.eclipse.uml2.uml.edit.providers
Class StereotypeApplicationItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.edit.provider.ReflectiveItemProvider
                  org.eclipse.uml2.uml.edit.providers.StereotypeApplicationItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class StereotypeApplicationItemProvider

extends org.eclipse.emf.edit.provider.ReflectiveItemProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ReflectiveItemProvider
`allEClasses, allEPackages, allRoots`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`StereotypeApplicationItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary
`protected org.eclipse.emf.common.command.Command` `createAddCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.util.Collection<?> collection, int index)`
`protected org.eclipse.emf.common.command.Command` `createMoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value, int index)`
`protected org.eclipse.emf.common.command.Command` `createRemoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.util.Collection<?> collection)`
`protected org.eclipse.emf.common.command.Command` `createReplaceCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.emf.ecore.EObject value, java.util.Collection<?> collection)`
`protected org.eclipse.emf.common.command.Command` `createSetCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value, int index)`
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)`
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()`
`java.lang.String` `getText(java.lang.Object object)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`

Methods inherited from class org.eclipse.emf.edit.provider.ReflectiveItemProvider
`capName, collectNewChildDescriptors, format, gatherAllMetaData, gatherMetaData, getAllChildConcreteSubclasses, getAllConcreteSubclasses, getAllDelegatedFeatures, getAllEClasses, getAllEPackages, getChildrenFeatures, getCreateChildImage, getCreateChildText, getFeatureText, getImage, getLabelFeature, getTypeText, getTypeText, isWrappingNeeded, parseName`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createRemoveCommand, createReplaceCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildResult, getCreateChildToolTipText, getEditableValue, getElements, getFeatureValue, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getUpdateableText, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Constructor Detail

### StereotypeApplicationItemProvider

    public StereotypeApplicationItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### createAddCommand

    protected org.eclipse.emf.common.command.Command createAddCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                      org.eclipse.emf.ecore.EObject owner,
                                                                      org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                      java.util.Collection<?> collection,
                                                                      int index)

  Overrides:
    `createAddCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createMoveCommand

    protected org.eclipse.emf.common.command.Command createMoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                       org.eclipse.emf.ecore.EObject owner,
                                                                       org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                       java.lang.Object value,
                                                                       int index)

  Overrides:
    `createMoveCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createRemoveCommand

    protected org.eclipse.emf.common.command.Command createRemoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                         org.eclipse.emf.ecore.EObject owner,
                                                                         org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                         java.util.Collection<?> collection)

  Overrides:
    `createRemoveCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createReplaceCommand

    protected org.eclipse.emf.common.command.Command createReplaceCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                          org.eclipse.emf.ecore.EObject owner,
                                                                          org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                          org.eclipse.emf.ecore.EObject value,
                                                                          java.util.Collection<?> collection)

  Overrides:
    `createReplaceCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createSetCommand

    protected org.eclipse.emf.common.command.Command createSetCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                      org.eclipse.emf.ecore.EObject owner,
                                                                      org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                      java.lang.Object value,
                                                                      int index)

  Overrides:
    `createSetCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `org.eclipse.emf.edit.provider.ReflectiveItemProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.edit.provider.ReflectiveItemProvider`

### getText

    public java.lang.String getText(java.lang.Object object)

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `org.eclipse.emf.edit.provider.ReflectiveItemProvider`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.